Loading...
Searching...
No Matches
l4util_mb_drive_t Struct Reference

Drive Info structure. More...

`#include <mb_info.h>`

Collaboration diagram for l4util_mb_drive_t:

## Data Fields

l4_uint8_t | drive_number
| <The size of this structure.
l4_uint8_t | drive_mode
| <The BIOS drive number.
l4_uint16_t | drive_cylinders
| <The access mode (see below).
l4_uint8_t | drive_heads
| <number of cylinders
l4_uint8_t | drive_sectors
| <number of heads
l4_uint16_t | drive_ports [0]
| <number of sectors per track

## Detailed Description

Drive Info structure.

Definition at line 73 of file mb_info.h.

The documentation for this struct was generated from the following file:

- l4/util/mb_info.h